import type { CrActionMenuElement } from '//resources/cr_elements/cr_action_menu/cr_action_menu.js';
import type { ShowAtConfigPrefs } from '../content/read_anything_types.js';
export declare const minOverflowLengthToScroll = 75;
export declare const spinnerDebounceTimeout = 150;
export declare const playFromSelectionTimeout: number;
export declare const LOG_EMPTY_DELAY_MS = 500;
export declare function openMenu(menuToOpen: CrActionMenuElement, target: HTMLElement, showAtConfig?: ShowAtConfigPrefs, onShow?: () => void, isSubmenu?: boolean): void;
export declare function getWordCount(text: string): number;
export declare function isDistilledByReadability(): boolean;
export declare function getReadingModeTextNodes(root: Node): Node[];
